| Version: 3.2.5

Public Member Functions | List of all members
wxZipNotifier Class Referenceabstract
Class List by Category » Archive support | Class List by Category » Streams

`#include <wx/zipstrm.h>`

## Detailed Description

If you need to know when a wxZipInputStream updates a wxZipEntry, you can create a notifier by deriving from this abstract base class, overriding wxZipNotifier::OnEntryUpdated().

An instance of your notifier class can then be assigned to wxZipEntry objects, using wxZipEntry::SetNotifier().

Setting a notifier is not usually necessary. It is used to handle certain cases when modifying an zip in a pipeline (i.e. between non-seekable streams). See Archives on Non-Seekable Streams.

##

Library: wxBase
Category: Archive support, Streams

See also
  Archives on Non-Seekable Streams, wxZipEntry, wxZipInputStream, wxZipOutputStream

## Public Member Functions

virtual void | OnEntryUpdated (wxZipEntry &entry)=0
| Override this to receive notifications when a wxZipEntry object changes. More...

## Member Function Documentation

## ◆ OnEntryUpdated()

virtual void wxZipNotifier::OnEntryUpdated | ( | wxZipEntry & | entry | ) |

pure virtual

Override this to receive notifications when a wxZipEntry object changes.